## ros-crystal-cv-bridge 2.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(cv_bridge)

find_package(ament_cmake_ros REQUIRED)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra)
endif()

if(NOT ANDROID)
  find_package(PythonLibs)
  if(PYTHONLIBS_VERSION_STRING VERSION_LESS 3)
    find_package(Boost REQUIRED python)
  else()
    find_package(Boost QUIET)
    if(Boost_VERSION LESS 106500)
      find_package(Boost REQUIRED python)
    else()
      find_package(Boost REQUIRED python3)
    endif()
  endif()
else()
  find_package(Boost REQUIRED)
endif()

find_package(sensor_msgs REQUIRED)
find_package(OpenCV 3 REQUIRED
  COMPONENTS
    opencv_core
    opencv_imgproc
    opencv_imgcodecs
  CONFIG
)

include_directories(include)

if(NOT ANDROID)
  add_subdirectory(python)
endif()

add_subdirectory(src)

# cv_bridge_lib_dir is passed as APPEND_LIBRARY_DIRS for each ament_add_gtest call so
# the project library that they link against is on the library path.
# This is especially important on Windows.
# This is overwritten each loop, but which one it points to doesn't really matter.
set(cv_bridge_lib_dir "$<TARGET_FILE_DIR:${PROJECT_NAME}>")

if(BUILD_TESTING)
  add_subdirectory(test)
endif()

ament_export_dependencies(OpenCV)

ament_export_include_directories(include)
ament_export_libraries(${PROJECT_NAME})

# install the include folder
install(
  DIRECTORY include/${PROJECT_NAME}/
  DESTINATION include/${PROJECT_NAME}
)

ament_package(
  CONFIG_EXTRAS "cmake/cv_bridge-extras.cmake.in"
)

=== debian/changelog ===
ros-crystal-cv-bridge (2.1.0-0bionic) bionic; urgency=high

  * find boost_python on boost 1.58 (<1.65) (#246 <https://github.com/ros-perception/vision_opencv/issues/246>)
  * Contributors: Mikael Arguedas

 -- Ethan Gao <ethan.gao@linux.intel.com>  Mon, 26 Nov 2018 06:00:00 -0000

ros-crystal-cv-bridge (2.0.5-0bionic) bionic; urgency=high

  * remove redundant ament_auto_lint dependency to release package
  * fix test_encode_decode_cv2_compressed runtime error with JPEG2000
  * change python3-numpy as build and execution dependency to fix building
    error while releasing package
  * Contributor: Ethan Gao

 -- Ethan Gao <ethan.gao@linux.intel.com>  Fri, 17 Aug 2018 05:00:00 -0000

ros-crystal-cv-bridge (2.0.4-0bionic) bionic; urgency=high

  * Add libopencv-dev as dependency of cv_bridge
  * Replace assert_equal with assert to remove dependency to nose package
  * Contributor: Ethan Gao

 -- Ethan Gao <ethan.gao@linux.intel.com>  Tue, 14 Aug 2018 05:00:00 -0000

ros-crystal-cv-bridge (2.0.3-0bionic) bionic; urgency=high

  * fix the build warning with colcon building
  * optimize buffer type of imgmsg_to_cv2()
  * add python3_opencv and python3_numpy as dependency
  * uncrustify 0.67 coding style alignment
  * Contributors: Mikael Arguedas, Lars Berscheid, Ethan Gao

 -- Ethan Gao <ethan.gao@linux.intel.com>  Tue, 07 Aug 2018 05:00:00 -0000

ros-crystal-cv-bridge (2.0.2-0bionic) bionic; urgency=high

  * fix rosdep keys issue of opencv3

 -- Ethan Gao <ethan.gao@linux.intel.com>  Fri, 29 Jun 2018 05:00:00 -0000

ros-crystal-cv-bridge (2.0.1-0bionic) bionic; urgency=high



 -- Ethan Gao <ethan.gao@linux.intel.com>  Thu, 28 Jun 2018 05:00:00 -0000

ros-crystal-cv-bridge (2.0.0-0bionic) bionic; urgency=high

  * Port cv_bridge to ros2
  * Remove the old inherent boost files
  * Replace boost code with newer C++ standard higher than C++11
  * Add a new readme
  * Adapt message definition like sensor_msg/Image etc in ROS2
  * Coding style alignment with ROS2 using cppcheck/cpplint and python flake8/pep257
  * Enable all the C++/Python unit test with gtest and unittest with ament tools
  * Contributors: Ethan Gao

 -- Ethan Gao <ethan.gao@linux.intel.com>  Wed, 06 Jun 2018 05:00:00 -0000

ros-crystal-cv-bridge (1.12.7-0bionic) bionic; urgency=high



 -- Ethan Gao <ethan.gao@linux.intel.com>  Sun, 12 Nov 2017 06:00:00 -0000

ros-crystal-cv-bridge (1.12.6-0bionic) bionic; urgency=high

  * fix endianness issues
  * Contributors: Vincent Rabaud

 -- Ethan Gao <ethan.gao@linux.intel.com>  Sat, 11 Nov 2017 06:00:00 -0000

ros-crystal-cv-bridge (1.12.5-0bionic) bionic; urgency=high

  * add version_gte for opencv3
    @vrabaud If you'll update opencv3 version as discussed in https://discourse.ros.org/t/opencv-3-3/2674/4, I think we'd better to add 'version_gte' tag so that apt-get install ros-kinetic-cv-bridge also pulls openv3.3 from repository, to avoid API breaking issue between opencv2 and opencv3.
  * Simplify the dependency components of cv_bridge
    Fixes #183 <https://github.com/ros-perception/vision_opencv/issues/183>
  * Fixes #177 <https://github.com/ros-perception/vision_opencv/issues/177>
    The Python bridge was wrong on OpenCV2 with mono8 (and any Mat
    with only two dimensions btw). Took the official Python bridge
    from OpenCV.
  * Add missing test file
    This fixes #171 <https://github.com/ros-perception/vision_opencv/issues/171>
  * Properly deal with alpha in image compression.
    That fixes #169 <https://github.com/ros-perception/vision_opencv/issues/169>
  * Silence warnings about un-used variables
  * export OpenCV variables
  * Contributors: Kei Okada, Victor Lamoine, Vincent Rabaud

 -- Ethan Gao <ethan.gao@linux.intel.com>  Sun, 05 Nov 2017 05:00:00 -0000

ros-crystal-cv-bridge (1.12.4-0bionic) bionic; urgency=high

  * properly find Boost Python 2 or 3
    This fixes #158 <https://github.com/ros-perception/vision_opencv/issues/158>
  * Contributors: Vincent Rabaud

 -- Ethan Gao <ethan.gao@linux.intel.com>  Sun, 29 Jan 2017 06:00:00 -0000

ros-crystal-cv-bridge (1.12.3-0bionic) bionic; urgency=high

  * Use api in sensor_msgs to get byte_depth and num channels
  * Implement cpp conversion of N channel image
    This is cpp version of https://github.com/ros-perception/vision_opencv/pull/141,
    which is one for python.
  * Fill black color to depth nan region
  * address gcc6 build error in cv_bridge and tune
    With gcc6, compiling fails with stdlib.h: No such file or directory,
    as including '-isystem /usr/include' breaks with gcc6, cf.,
    https://gcc.gnu.org/bugzilla/show_bug.cgi?id=70129
    This commit addresses this issue for cv_bridge in the same way
    it was done in the commit ead421b8 [1] for image_geometry.
    This issue was also addressed in various other ROS packages.
    A list of related commits and pull requests is at:
    https://github.com/ros/rosdistro/issues/12783
    [1] https://github.com/ros-perception/vision_opencv/commit/ead421b85eeb750cbf7988657015296ed6789bcf
    Signed-off-by: Lukas Bulwahn <mailto:lukas.bulwahn@oss.bmw-carit.de>
  * cv_bridge: Add missing test_depend on numpy
  * Contributors: Kentaro Wada, Lukas Bulwahn, Maarten de Vries

 -- Ethan Gao <ethan.gao@linux.intel.com>  Sun, 04 Dec 2016 06:00:00 -0000

ros-crystal-cv-bridge (1.12.2-0bionic) bionic; urgency=high

  * Specify background label when colorizing label image
  * Adjust to arbitrary image channels like 32FC40
    Proper fix for #141 <https://github.com/ros-perception/vision_opencv/issues/141>
  * Remove unexpectedly included print statement
  * Contributors: Kentaro Wada, Vincent Rabaud

 -- Ethan Gao <ethan.gao@linux.intel.com>  Sat, 24 Sep 2016 05:00:00 -0000

ros-crystal-cv-bridge (1.12.1-0bionic) bionic; urgency=high

  * split the conversion tests out of enumerants
  * support is_bigendian in Python
    Fixes #114 <https://github.com/ros-perception/vision_opencv/issues/114>
    Also fixes mono16 test


=== debian/control ===
Source: ros-crystal-cv-bridge
Section: misc
Priority: extra
Maintainer: Ethan Gao <ethan.gao@linux.intel.com>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, libopencv-dev, python3-numpy, python3-opencv, ros-crystal-ament-cmake-gtest, ros-crystal-ament-cmake-pytest, ros-crystal-ament-cmake-ros, ros-crystal-ament-lint-auto, ros-crystal-ament-lint-common, ros-crystal-python-cmake-module, ros-crystal-sensor-msgs, ros-crystal-ros-workspace
Homepage: http://www.ros.org/wiki/cv_bridge
Standards-Version: 3.9.2

Package: ros-crystal-cv-bridge
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, libopencv-dev, python3-numpy, ros-crystal-ament-index-python, ros-crystal-sensor-msgs, ros-crystal-ros-workspace
Description: This contains CvBridge, which converts between ROS2 Image messages and OpenCV images.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/crystal/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/crystal/setup.sh" ]; then . "/opt/ros/crystal/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/crystal" \
		-DAMENT_PREFIX_PATH="/opt/ros/crystal"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/crystal/setup.sh" ]; then . "/opt/ros/crystal/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/crystal/setup.sh" ]; then . "/opt/ros/crystal/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/crystal/setup.sh" ]; then . "/opt/ros/crystal/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-crystal-cv-bridge//opt/ros/crystal/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/crystal/setup.sh" ]; then . "/opt/ros/crystal/setup.sh"; fi && \
	dh_auto_install
